### Function

# Clutter get_current_event

#### Declaration [src]

    const ClutterEvent*
    clutter_get_current_event (
      void
    )

#### Description [src]

If an event is currently being processed, return that event. This function is intended to be used to access event state that might not be exposed by higher-level widgets. For example, to get the key modifier state from a Button ‘clicked’ event.

#### Return value

Type: `ClutterEvent`

The current ClutterEvent, or `NULL` if none.

The data is owned by the called function.